:root {
  --fuenteHeading: 'PT sans', sans-serif;
  --fuenteParrafos: 'Open sans', sans-serif;

  --primario: #784d3c;
  --gris: #e1e1e1;
  --blanco: #ffffff;
  --negro: #000000;
}

/*no afectar paddin borde margin*/
html {
  box-sizing: border-box;
  font-size: 62.5%; /*1rem  = 10 px*/
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body {
  font-family: var(--fuenteParrafos);
  font-size: 1.6rem;
  line-height: 2; /*interlineado*/
}

/** Globales**/
.contenedor {
  max-width: 120rem;
  width: 90%;
  /*width: min(90%,120rem)*/
  margin: 0 auto;
}
a {
  text-decoration: none;
}
h1,
h2,
h3,
h4 {
  font-family: var(--fuenteHeading);
  line-height: 1.2;
}
h1 {
  font-size: 4.8rem;
}
h2 {
  font-size: 4rem;
}
h3 {
  font-size: 3.2rem;
}
h4 {
  font-size: 2.8rem;
}
img {
  max-width: 100%;
}

/**Utilidades**/
.no-margin {
  margin: 0;
}
.no-padding {
  padding: 0;
}
.centrar-texto {
  text-align: center;
}

/**header**/
.webp .header {
  background-image: url(../img/banner.webp);
}
.no-webp .header {
  background-image: url(../img/banner.jpg);
}

.header {
  height: 60rem;
  background-size: cover; /*tomar todo espacio*/
  background-repeat: no-repeat;
  background-position: center center; /*centra psosición de imagen vertical horizontal al reducir tamaño*/
}
.header__texto {
  text-align: center;
  color: var(--blanco);
  margin-top: 5rem;
}
@media (min-width: 768px) {
  .header__texto {
    margin-top: 15rem;
  }
}
.barra {
  padding-top: 4rem;
}

@media (min-width: 768px) {
  .barra {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
}

.logo {
  color: var(--blanco);
}
.logo__nombre {
  font-weight: 400;
}
.logo__bold {
  font-weight: 700;
}

.navegacion_enlace {
  display: block;
  text-align: center;
  font-size: 1.8rem;
  color: var(--blanco);
}

@media (min-width: 768px) {
  .navegacion {
    display: flex;
    justify-content: space-between;
    gap: 2rem;
  }
}

@media (min-width: 768px) {
  .contenido-principal {
    display: grid;
    grid-template-columns: 2fr 1fr;
    column-gap: 4rem;
  }
}

.entrada {
  border-bottom: 1px solid var(--gris);
  margin-bottom: 2rem;
}
.entrada:last-of-type {
  border: none;
  margin-bottom: 0;
}
.boton {
  display: block;
  font-family: var(--fuenteHeading);
  color: var(--blanco);
  text-align: center;
  padding: 1rem 3rem;
  font-size: 1.8rem;
  text-transform: uppercase;
  font-weight: 700;
  margin-bottom: 2rem;
  border: none;
  border-radius: 0.5rem;
}
@media (min-width: 768px) {
  .boton {
    display: inline-block;
  }
}
.boton:hover {
  cursor: pointer;
}

.boton--primario {
  background-color: var(--negro);
}
.boton--secundario {
  background-color: var(--primario);
}
.cursos {
  list-style: none; /*quitar iconos de viñeta*/
}
.widget-curso {
  border-bottom: 1px solid var(--gris);
  margin-bottom: 2rem;
}
.widget-curso:last-of-type {
  border: none;
  margin-bottom: 0;
}
.widget-curso__label,
.curso__label,
.campo__label {
  font-family: var(--fuenteHeading);
  font-weight: 700;
}
.widget-curso__info,
.curso__info {
  font-weight: 400;
}
.widget-curso__label,
.widget-curso__info,
.curso__label,
.curso__info {
  font-size: 2rem;
}

.footer {
  background-color: var(--negro);
  padding-bottom: 3rem;
  margin-top: 4rem;
}

/*Nosotros*/
@media (min-width: 768px) {
  /* .sobre-nosostros {
    display: flex;
    justify-content: space-between;
  }
  .sobre-nosotros__imagen,
  .sobre-nosotros__texto {
    flex-basis: calc(50% - 1rem);
    /*flex: 0 0 calc(50% - 1rem);*/
  /*width: 50%*/

  .sobre-nosostros {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 2rem;
  }
}

/*Cursos*/
.curso {
  padding: 3rem 0;
  border-bottom: 1px solid var(--gris);
}
@media (min-width: 768px) {
  .curso {
    display: grid;
    grid-template-columns: 1fr 2fr;
    column-gap: 2rem;
  }
}
.curso:last-of-type {
  border: none;
}

/*contacto*/
.contacto-bg {
  background-image: url(../img/contacto.jpg);
  height: 40rem;
  background-size: cover;
  background-repeat: no-repeat;
}

.formulario {
  background-color: var(--blanco);
  margin: -5rem auto 0 auto;
  width: 95%;
  padding: 5rem;
}
.campo {
  display: flex;
  margin-bottom: 2rem;
}
.campo__label {
  flex: 0 0 9rem; /*base fija*/
  text-align: right;
  padding-right: 2rem;
}
.campo__field {
  flex: 1;
  border: 1px solid var(--gris);
  border-radius: 0.5rem;
}
.campo__field--textarea {
  height: 20rem;
}

.campo__field--input {
  min-width: 9rem;
}
